package org.jeecg.config;

import lombok.Data;
import lombok.Getter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "tencent.cloud")
public class TencentConfig {


    public String appId;
    public String secretId;
    public String secretKey;
    public Face face;
    /**
     * 人脸相关
     */
    @Getter
    public static class Face {
        /**
         * 人员库名称
         */
        private String groupName;
        /**
         * 地域
         */
        private String region;

        public void setGroupName(String groupName) {
            this.groupName = groupName;
        }

        public void setRegion(String region) {
            this.region = region;
        }
    }
}
