package org.jeecg.modules.clockInprojectitem.service.impl;

import org.jeecg.modules.clockInprojectitem.entity.ClockInProjectItem;
import org.jeecg.modules.clockInprojectitem.mapper.ClockInProjectItemMapper;
import org.jeecg.modules.clockInprojectitem.service.IClockInProjectItemService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: clock_in_project_item
 * @Author: jeecg-boot
 * @Date:   2024-11-05
 * @Version: V1.0
 */
@Service
public class ClockInProjectItemServiceImpl extends ServiceImpl<ClockInProjectItemMapper, ClockInProjectItem> implements IClockInProjectItemService {

    @Override
    public ClockInProjectItem getValidClockInTime(String time, String projectId,Integer type) {
        return baseMapper.getValidClockInTime(time, projectId,type);
    }
}
