import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '健名',
    align:"center",
    dataIndex: 'name'
   },
   {
    title: '值',
    align:"center",
    dataIndex: 'value'
   },
   {
    title: '说明',
    align:"center",
    dataIndex: 'info'
   },
   {
    title: '是否删除',
    align:"center",
    dataIndex: 'delFlag_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '健名',
    field: 'name',
    component: 'Input',
  },
  {
    label: '值',
    field: 'value',
    component: 'InputTextArea',//TODO 注意string转换问题
  },
  {
    label: '说明',
    field: 'info',
    component: 'InputTextArea',//TODO 注意string转换问题
  },
  {
    label: '是否删除',
    field: 'delFlag',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"is_delete"
     },
    dynamicRules: ({model,schema}) => {
          return [
                 { required: true, message: '请输入是否删除!'},
          ];
     },
  },
];
