package org.jeecg.modules.clockinlog.service;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.clockinlog.entity.ClockinLog;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.clockinlog.ressp.ClockInLogResp;

import java.util.List;

/**
 * @Description: clockin_log
 * @Author: jeecg-boot
 * @Date:   2024-10-24
 * @Version: V1.0
 */
public interface IClockinLogService extends IService<ClockinLog> {

    /**
     * 打卡详情
     * @param date
     * @param projectId
     * @return
     */
    List<ClockInLogResp> getClockInLogResp(String date, String projectId,String userId,Integer type);


    /**
     * 获取打卡统计
     * @param userId
     * @param date
     * @return
     */
    Integer getClockInTotal(String userId,String date);

}
