import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '项目名',
    align:"center",
    dataIndex: 'name'
   },
   {
    title: '经度',
    align:"center",
    dataIndex: 'lon'
   },
   {
    title: '纬度',
    align:"center",
    dataIndex: 'lat'
   },
   {
    title: '团队编号',
    align:"center",
    dataIndex: 'teamId_dictText'
   },
   {
    title: '是否删除',
    align:"center",
    dataIndex: 'delFlag_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '项目名',
    field: 'name',
    component: 'Input',
  },
  {
    label: '经度',
    field: 'lon',
    component: 'Input',
  },
  {
    label: '纬度',
    field: 'lat',
    component: 'Input',
  },
  {
    label: '团队编号',
    field: 'teamId',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"clockin_team,name,id"
     },
  },
  {
    label: '是否删除',
    field: 'delFlag',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"is_delete"
     },
  },
];
