package org.jeecg.modules.clockInprojectitem.service;

import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.clockInprojectitem.entity.ClockInProjectItem;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: clock_in_project_item
 * @Author: jeecg-boot
 * @Date:   2024-11-05
 * @Version: V1.0
 */
public interface IClockInProjectItemService extends IService<ClockInProjectItem> {

    /**
     * 获取有效打卡时间范围
     * @param time
     * @param projectId
     * @return
     */
    ClockInProjectItem getValidClockInTime(String time, String projectId,Integer type);

}
