import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '国家',
    align:"center",
    dataIndex: 'name'
   },
   {
    title: '时区',
    align:"center",
    dataIndex: 'timeZone'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
	{
      label: "是否删除",
      field: "delFlag",
      component: 'JDictSelectTag',
      componentProps:{
      },
      colProps: {span: 6},
 	},
	{
      label: "创建时间",
      field: "createTime",
      component: 'DatePicker',
      componentProps: {
         showTime:true
       },
      colProps: {span: 6},
 	},
	{
      label: "修改时间",
      field: "updateTime",
      component: 'DatePicker',
      componentProps: {
         showTime:true
       },
      colProps: {span: 6},
 	},
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '国家',
    field: 'name',
    component: 'Input',
  },
  {
    label: '时区',
    field: 'timeZone',
    component: 'Input',
  },
];
