package org.jeecg.modules.clockinlog.service.impl;

import org.jeecg.modules.clockinlog.entity.ClockinLog;
import org.jeecg.modules.clockinlog.mapper.ClockinLogMapper;
import org.jeecg.modules.clockinlog.ressp.ClockInLogResp;
import org.jeecg.modules.clockinlog.service.IClockinLogService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

/**
 * @Description: clockin_log
 * @Author: jeecg-boot
 * @Date:   2024-10-24
 * @Version: V1.0
 */
@Service
public class ClockinLogServiceImpl extends ServiceImpl<ClockinLogMapper, ClockinLog> implements IClockinLogService {

    @Override
    public List<ClockInLogResp> getClockInLogResp(String date, String projectId,String userId,Integer type) {
        return baseMapper.getClockInLogResp(date, projectId, userId,type);
    }

    @Override
    public Integer getClockInTotal(String userId, String date) {
        return baseMapper.getClockInTotal(userId, date);
    }
}
